Package com.google.android.exoplayer2.testutil

## Class ExtractorAsserts.SimulationConfig

- java.lang.Object
- - com.google.android.exoplayer2.testutil.ExtractorAsserts.SimulationConfig

- Enclosing class:
    ExtractorAsserts

      public static class ExtractorAsserts.SimulationConfig
      extends Object

  A config of different environments to simulate and extractor behaviours to test.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `simulateIOErrors` | Whether to simulate IO errors.
    `boolean` | `simulatePartialReads` | Whether to simulate partial reads.
    `boolean` | `simulateUnknownLength` | Whether to simulate unknown input length.
    `boolean` | `sniffFirst` | Whether to sniff the data by calling `Extractor.sniff(ExtractorInput)` prior to consuming it.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sniffFirst

          public final boolean sniffFirst

      Whether to sniff the data by calling `Extractor.sniff(ExtractorInput)` prior to consuming it.

    - #### simulateIOErrors

          public final boolean simulateIOErrors

      Whether to simulate IO errors.

    - #### simulateUnknownLength

          public final boolean simulateUnknownLength

      Whether to simulate unknown input length.

    - #### simulatePartialReads

          public final boolean simulatePartialReads

      Whether to simulate partial reads.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`